
#define GROUND_COL	vec3(0.33, 0.33, 0.46)
#define SKY_COL		vec3(0.93, 0.93, 0.53)
#define SUN_POS		vec3(0.0, 100.0, 0.0)

void main(void)
{
	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
	
    vec3 normal = normalize(gl_Normal);
    vec3 ecPos = vec3(gl_Vertex);
    
    gl_Position = ftransform();
    
    gl_FrontColor = vec4(
			mix(GROUND_COL, SKY_COL, 0.5 + 0.5 * dot(normal, normalize(SUN_POS - ecPos))),
    		1.0
    		);
}
