
#define BRIGHT_CUTOFF 0.9

uniform sampler2D texture0;

void main(void)
{
	// step cutoff
	//gl_FragColor = step(BRIGHT_CUTOFF, texture2D(texture0, gl_TexCoord[0].xy));
	
	// alternative: all pixels have an influence, but brighter ones a greater influence.
    vec4 col = texture2D(texture0, gl_TexCoord[0].xy);
	gl_FragColor = col*col*col*col;
}
